Loading...
Searching...
No Matches
CameraSet.h File Reference

Base class to create smart factors on poses or cameras. More...

Go to the source code of this file.

## Classes

class | gtsam::CameraSet< CAMERA >
| A set of cameras, all with their own calibration. More...
struct | gtsam::traits< CameraSet< CAMERA > >
struct | gtsam::traits< const CameraSet< CAMERA > >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Variables

template<class CAMERA>
const int | gtsam::CameraSet< CAMERA >::D
template<class CAMERA>
const int | gtsam::CameraSet< CAMERA >::ZDim

## Detailed Description

Base class to create smart factors on poses or cameras.

Author
  Frank Dellaert

Date
  Feb 19, 2015